Subject: [Ltru] Re: 003 vs. 021 (was: Moving Forward)

From: "Doug Ewell" <[email-masked]>
Date: Sun, 24 Apr 2005 01:33:50 -0700

Frank Ellermann <nobody at xyzzy dot claranet dot de> wrote:

> BTW, what's the difference between the '003 North America' and
> '021 Northern America' ?

John Cowan <jcowan at reutershealth dot com> replied:

> Northern America is an economic grouping, and refers to Canada and
> the U.S.  North America is a geographical grouping, and includes
> Northern America, Central America, and the Caribbean.

I disagree that 021 Northern America is an "economic grouping."
According to the UN page, it comprises Bermuda, Greenland, and St.
Pierre and Miquelon as well as Canada and the U.S.  It is listed with
the geographical codes, not the economic codes.

Frank responded:

> I'm not sure, "economic groupings" shouldn't be registered:
>
> | B. UN numeric codes for 'economic groupings' or 'other
> |    groupings' are _not_ defined in the IANA registry and
> |    MUST NOT be used to form language tags.

Again, the criterion was that the UN codes listed under the heading
"Geographical region and composition" were in, on the basis that they
are relevant to regional variations in language, while those listed
under "Selected economic and other groupings" were out.

> On the page http://unstats.un.org/unsd/methods/m49/m49regin.htm
> 003 apparently only exists in footnote "b" for 021:
>
> | b/ The continent of North America (003) comprises Northern
> |    America (021), Caribbean (029), and Central America (013).
>
> Obscure region numbers existing only as footnotes should not
> be registered, it's too confusing.

I can understand the position that 003 doesn't belong since it is only
listed in a footnote and not in the code list per se.  Again, I request
that we use objective criteria for allowing and forbidding codes, not
subjective labels like "obscure" and "dubious."

If we can come up with (a) a tagging need for 003 that isn't met by 021
and (2) a tagging need for 021 that isn't met by 003, we should admit
both codes.  They're not hurting anything, although the presence of both
might cause some confusion.

> Another dubious region number is 062 "South-central Asia" vs.
> "Southern Asia".  The  UN page first introduces 034 "Southern
> Asia" and later uses 062 with the same name "Southern Asia".

I had never even noticed 034.  The UN list was apparently updated on
2005-01-06, and I did not notice the change or have WatchThatPage set to
watch it.  Obviously only one of these codes, 034 and 062, can be
correct, and whichever one is correct does now stand for "Southern Asia"
and not "South-central Asia" as it previously did.

Back in the original message, Frank wrote:

> The 200 should be deleted IIRC.

I don't remember any consensus for doing this, though I could be wrong.
(Randy?)  IIRC we did have consensus to delete 172.

--
Doug Ewell
Fullerton, California
http://users.adelphia.net/~dewell/

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: Frank Ellermann <[email-masked]>
Date: Sun, 24 Apr 2005 11:28:11 +0200

> I disagree that 021 Northern America is an "economic

ACK, 021 is okay.

> I request that we use objective criteria for allowing and
> forbidding codes, not subjective labels like "obscure" and
> "dubious."

So what are your objective criteria to include 003 ?  There's
a table starting in line 149 above "001 world" and ending in
line 322 below "061 Polynesia".

The next table "Selected economic and other groupings" isn't
what we want.  Another table starts in line 382, its first
region is "002 Africa", near line 2534 within this table the
"Developed and developing regions" begin.  The last region
above the h3-header is "876 Wallis and Futuna Islands".

003 is only mentioned in a footnote at the moment.  Maybe they
found that 419 makes more sense, it certainly does for me.

Please don't argue with Navassa Island, it's uninhabited, and
it belongs to UM.  Guantanamo Bay, maybe apa-003, what else ?

Oh no, is this about the Virgin Islands ?  Major havoc for many
confused users trying 003 instead of 021 or vice versa only for
the Virgin Islands ?  They could use en-029, en-VI, or en-VG :-(

While we're at it, how do you exclude region numbers covered by
ISO 3166-1 country codes ?  Addison proposed to add the numbers
to the codes somehow, so that a future tag reviewer can do his
"same piece of land" magic when necessary.  I somehow doubt that
ISO and the UN are always in perfect synchronization, not only
for the three wellknown exceptions TW, 830, and 833.  Bye, Frank

---

From: John Cowan <[email-masked]>
Date: Sun, 24 Apr 2005 12:47:47 -0400

> the geographical codes, not the economic codes.

Yeah, you're right.  I was writing in haste.

> subjective labels like "obscure" and "dubious."

I'm beginning to wonder just how authoritative that page really is.

-- 
If you have ever wondered if you are in hell,         John Cowan
it has been said, then you are on a well-traveled     http://www.ccil.org/~cowan
road of spiritual inquiry.  If you are absolutely   http://www.reutershealth.com
sure you are in hell, however, then you must be         [email-masked]
on the Cross Bronx Expressway.          --Alan Feuer, NYTimes, 2002-09-20

---

From: "JFC (Jefsey) Morfin" <[email-masked]>
Date: Sun, 24 Apr 2005 19:44:51 +0200

>I'm beginning to wonder just how authoritative that page really is.

Please define "authoritative" if you wish to address this point.
jfc

---

From: John Cowan <[email-masked]>
Date: Sun, 24 Apr 2005 17:10:52 -0400

> Please define "authoritative" if you wish to address this point.

IOW, does it actually represent the official M.49 list?

-- 
One art / There is                      John Cowan <[email-masked]>
No less / No more                       http://www.reutershealth.com
All things / To do                      http://www.ccil.org/~cowan
With sparks / Galore                     -- Douglas Hofstadter

---

From: "JFC (Jefsey) Morfin" <[email-masked]>
Date: Sun, 24 Apr 2005 23:42:52 +0200

>IOW, does it actually represent the official M.49 list?

What I mean is more general. We are in real life. You can only include a 
name with a definition in a table. Full stop.

This kind of discussion much repeated in here and 
[email-masked] is of no use. Because every user for the 
centuries to come can repeat it. With no other authoritative result than 
being understood by those who share her understanding - which can change.

The job of a Registry designer and then of a Registry manager is not to 
discuss the meaning of existing names but to try to provide names that will 
satisfy the users enough for them not to introduce (or use if "barred" by 
the Registry Manager thinking he has a decision authority) confusing names. 
Keeping in mind that each time a name is denied by the Registry Manager, 
this is a loss of "authority" (knowledge/trust) for the Registry, because 
it will be used outside of it, creating confusion and possible conflicts.

Intergovernance is not by rulings but by adherence to consensual propositions.

jfc

---

From: Frank Ellermann <[email-masked]>
Date: Mon, 25 Apr 2005 00:32:40 +0200

> IOW, does it actually represent the official M.49 list?

Point.  Maybe it's a Webmaster trying his best, but as always
with a copy of a copy of an original text minor differences
are possible.  It would be easier for Doug to work with ths
original text - instead of digging in strange HTML tables.

                           Bye, Frank

---

From: "Mark Davis" <[email-masked]>
Date: Tue, 26 Apr 2005 14:39:52 -0700

I agree, 021 is ok.

By the way, in CLDR we don't bother with 003, since it doesn't fit with the
other containment relations. See:

http://www.unicode.org/cldr//data/diff/supplemental/supplemental.html#territory_containment__un_m____

We also supplement the UN M.49 codes with ZZ (a private use region code), so
that we get 3 containment levels there. We've requested a regular numeric
code for that, but at this point a private use code is as good as we can do.

‎Mark

---

From: Frank Ellermann <[email-masked]>
Date: Wed, 27 Apr 2005 04:13:12 +0200

Mark Davis wrote:

> in CLDR we don't bother with 003, since it doesn't fit with
> the other containment relations. See:

> http://www.unicode.org/cldr//data/diff/supplemental/supplemental.html#territory_containment__un_m____

Apparently you have neither 419 nor 003.  But the LTRU draft
mentions 419.  Actually both 419 and 003 are somewhat dubious,
at most one of them could be okay, but none of them is better.

Where's the difference between es-019 and es-419 ?  If it's
about immigrants from Cuba to Florida, Mexico to California,
etc., then it's es-CU, es-MX, es-019, or es-US, and es-419 (or
es-003) are not strictly necessary.

Now I don't doubt that Doug must register 419 under the rules,
and maybe even 003.  But it's apparently no good idea to use
these numbers in an example, if they are not supported by CLDR.

> We also supplement the UN M.49 codes with ZZ (a private use
> region code), so that we get 3 containment levels there.

That's a strange idea,  The UM territories have nothing to do
with AQ, and Navassa is a Carribean island, not Oceania.  And
IO is also unrelated to Oceania, that's Diego Garcia etc. in
the Indian Ocean.  I'd add IO near the Seychelles.  You have
SC as Eastern Africa, I'd probably say Western Asia.

You also have Cyprus as Western Asia, but from my POV (I'm not
burdened by any "Middle East" concept) it's Europe.  It's even
a member of the EU, at least the southern part.  For Turkey
you could toss a coin, the main part is Asia.  OTOH Georgia is
Europe, not Asia.

Actually Eurasia is one continent, and arguments where it's not
require a separate continent for India.

> We've requested a regular numeric code for that, but at this
> point a private use code is as good as we can do.

You've requested a number from the UN for AQ ?  This will cause
mass suicides.  IIRC CC or CX or both also have nothing to do
with Oceania, one of them is near to IN or MM (?)  Bye, Frank

---

From: "Mark Davis" <[email-masked]>
Date: Wed, 27 Apr 2005 08:00:18 -0700

First, I must apologize; we actually do 'bother with 003'. I misspoke. We
don't concentrate on it, because we focus on translating the items that do
follow a smooth 3-level breakdown. But we do support it.

>Where's the difference between es-019 and es-419?

It is whatever the difference is between "Spanish as used in the Americas"
and "Spanish as used in  Latin America and the Caribbean" -- thus the latter
would exclude any variants that are only found in Northern America.

> You also have Cyprus as Western Asia

We didn't originate the groupings; we take them from
http://unstats.un.org/unsd/methods/m49/m49regin.htm. So if you have any
complaints about Cyprus, etc. address them to the UN, not us.

>You've requested a number from the UN for AQ?

No. We added a ZZ to include region codes that were not otherwise included
in the UN grouping.

‎Mark

---

From: Frank Ellermann <[email-masked]>
Date: Thu, 28 Apr 2005 12:35:12 +0200

Mark Davis wrote:

> if you have any complaints about Cyprus, etc. address
> them to the UN, not us.

I take the easy way out, I second Doug's impression that
this source isn't above doubt.  For the future registry
it might be better to get rid of all these "groupings".

> We added a ZZ to include region codes that were not 
> otherwise included in the UN grouping.

Yes, but you added ZZ below Oceania, and IO below ZZ, not 
next to SC where I'd expect it, see also:

<http://www.cia.gov/cia/publications/factbook/print/io.html>

And you have CC and CX below ZZ instead of Southeast Asia:

<http://www.cia.gov/cia/publications/factbook/print/ck.html>
<http://www.cia.gov/cia/publications/factbook/print/kt.html>

I'd also expect GS near FK, but not somewhere below Oceania:

<http://www.cia.gov/cia/publications/factbook/print/sx.html>

Maybe you could clean-up the whole ZZ grouping, e.g. for HM
I find "Indian Ocean", "two thirds of the way from Madagascar
to Antarctica".  Or you could rename ZZ to "Antarctica" if
you add CC, CX, IO, and UM elsewhere.  UM with its Navassa
is a headache whatever you do.
                              Bye, Fran

---

From: "Mark Davis" <[email-masked]>
Date: Thu, 28 Apr 2005 08:09:51 -0700

1. There is no reason why the groupings should not stay; they are
well-defined entities, and serve a useful purpose in identifying regional
use of language.

2. ZZ is really irrelevant to ltru, since it is CLDR's use of a private use
code. However, just for your information, we will not change any of the
contents of groupings that the UN had already put into place. So ZZ is
simply a collection of everything that they didn't put into a 3rd level
group. While it may be possible to improve the name, or some other change,
this mail list is not the place for that discussion.

‎Mark

---

From: Frank Ellermann <[email-masked]>
Date: Thu, 28 Apr 2005 21:10:00 +0200

Mark Davis wrote:

> ZZ is simply a collection of everything that they didn't
> put into a 3rd level group.

If I got it right that should match all alpha-2 codes in the
registry which are not deprecated and don't have a UN number:

AQ, BV, CC, CX, GS, HM, IO, TF, UM.  And TW is an exception.

Maybe Doug can use ZZ as an additional plausibilty test.  Bye.